### A free/open-source library for quantitative finance

Public Types | Public Member Functions
InverseCumulativeRng< RNG, IC > Class Template Reference

Inverse cumulative random number generator. More...

`#include <ql/math/randomnumbers/inversecumulativerng.hpp>`

List of all members.

## Public Types

typedef Sample< Real > | sample_type
typedef RNG | urng_type

## Public Member Functions

| InverseCumulativeRng (const RNG &uniformGenerator)
sample_type | next () const
| returns a sample from a Gaussian distribution

## Detailed Description

### template<class RNG, class IC>
class QuantLib::InverseCumulativeRng< RNG, IC >

Inverse cumulative random number generator.

It uses a uniform deviate in (0, 1) as the source of cumulative distribution values. Then an inverse cumulative distribution is used to calculate the distribution deviate.

The uniform deviate is supplied by RNG.

Class RNG must implement the following interface:

                RNG::sample_type RNG::next() const;

The inverse cumulative distribution is supplied by IC.

Class IC must implement the following interface:

                IC::IC();
                Real IC::operator() const;